function [tx,ty,tz] = rotation(acc,mag)
% Earth's magnetic field and gravity are known vectors
a = [0,0,9.81]; % m/s^2
b = [0.05022,-0.18267,0.49872]; % Gauss
tz0 = atan(b(2)/b(1));

% Input checking
if size(acc) == [3,1] % column vector of length 3
    acc = acc'; % wrong orientation is easy to fix
else
    if size(acc) ~= [1,3] % row vector of length 3
        error('Usage: acc needs to be a 1x3 vector.')
    end
end
if size(mag) == [3,1] % column vector of length 3
    mag = mag'; % wrong orientation is easy to fix
else
    if size(mag) ~= [1,3] % row vector of length 3
        error('Usage: mag needs to be a 1x3 vector.')
    end
end

tx = asin(acc(2)/9.81); % rotation around the x axis
ty = asin(acc(1)/9.81); % rotation aroudn the y axis
tz = acos((mag(1)*b(1)+mag(2)*b(2))/(sqrt(b(1)^2+b(2)^2)*sqrt(mag(1)^2+mag(2)^2))); % rotation around the z axis